vector-0.12.0.3: Efficient Arrays

Copyright | (c) Roman Leshchinskiy 2009
License | BSD-style
Maintainer | Roman Leshchinskiy <rl@cse.unsw.edu.au>
Stability | experimental
Portability | non-portable
Safe Haskell | None
Language | Haskell2010

Data.Vector.Internal.Check

Description

Bounds checking infrastructure

# Documentation

data Checks #

Constructors

Bounds |
Unsafe |
Internal |

Instances

Eq Checks # |
Instance details Defined in Data.Vector.Internal.Check Methods (==) :: Checks -> Checks -> Bool # (/=) :: Checks -> Checks -> Bool #

doChecks :: Checks -> Bool #

error :: String -> Int -> String -> String -> a #

internalError :: String -> Int -> String -> String -> a #

check :: String -> Int -> Checks -> String -> String -> Bool -> a -> a #

checkIndex :: String -> Int -> Checks -> String -> Int -> Int -> a -> a #

checkLength :: String -> Int -> Checks -> String -> Int -> a -> a #

checkSlice :: String -> Int -> Checks -> String -> Int -> Int -> Int -> a -> a #